Ergebnis 1 bis 6 von 6

Thema: Msql 5 Umstellung

  1. #1
    Padawan Stufe III Avatar von Wildhase
    Registriert seit
    23.08.2006
    Ort
    Büchenbeuren
    Beiträge
    167
    Themen
    30
    DANKE
    0
    Erhaltene Danke: 0

    Standard Msql 5 Umstellung

    Servus,

    mein Serverbetreiber hat von heut auf morgen auf Msql 5.0.33 gewechselt. Damit hat aber Zen Cart ein größeres Problem.

    Die Technik des Serverbetreibers hat sich zwar dem Problem angenommen und der shop fnktioniert nun auch wieder aber die Such funktion geht nach wie vor nicht, ich erhalte folgende Fehlermeldung:

    1054 Unknown column 'p.products_id' in 'on clause'

    Kann mir jemand helfen das Problem zu lösen da die leute bis montag natürlich nicht mehr zu erreichen sind ?

    1000 Dank an alle die sich das durchlesen und helfen


    Chris

    ***
    ***
    ***/Forum

  2. #2
    Jedi-Ritter Avatar von MaleBorg
    Registriert seit
    17.05.2006
    Beiträge
    3.043
    Themen
    30
    DANKE
    5
    Erhaltene Danke: 82

    Standard

    Ganz böse Falle.

    Wenn diene Zen-Cart Version vor 1.3.5 ist, dann wirst du da noch viel Freude haben, da die MySQL Abfragen in Zen-Cart erst ab dieser Version wirklich komplett MySQL 5 tauglich sind.

    Der angezeigte Fehler ist praktisch die Bestätigung, das deine Zen-Cart version nicht mit der geänderten Syntax von MySql 5 klarkommt.

    Alle SQL Abfragen in ZC umzuschreiben wäre sicherlich zu aufwendig, bleibt also nur die Zen-Cart Version zu updaten.
    Denn ich nehme mal nicht an, das dein Webhoster dir wieder MySql 4 installieren wird.

    Sehr ärgerlich, aber leider nicht zu ändern.

    Gruß
    MaleBorg

  3. #3
    Padawan Stufe III Avatar von Wildhase
    Registriert seit
    23.08.2006
    Ort
    Büchenbeuren
    Beiträge
    167
    Themen
    30
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    durch ne sonder Rufnummer bekam ich eben noch nen techniker an die strippe....

    zenCart 1.2.6 ist mit MySQL 5 funktionierend online, ohne Update.

    Sollte ich, wie zugesagt, die SQL Änderungen erhalten stelle ich diese zum Download frei.

    Chris

    ***
    ***
    ***/Forum

  4. #4
    Padawan Stufe II Avatar von amazpix
    Registriert seit
    14.12.2007
    Beiträge
    76
    Themen
    22
    DANKE
    2
    Erhaltene Danke: 0

    Standard

    Hallo, stehe nun auch vor dem MySQL5-Problem und habe auch Zen 1.2.6. Was muss ich tun, damit dadurch entstehende Fehlermeldungen behoben werden?

  5. #5
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.078
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 958

    Standard

    Nimm das zum Anlass, auf die aktuelle Zen-Cart Version zu aktualisieren.
    Zen-Cart 1.2.6 enthält etliche Bugs, etliche Sicherheitslücken, ist aufgrund der aktuellen Problematik (https://www.zen-cart-pro.at/forum/showthread.php?t=6470) nicht mehr vertretbar und wird schon seit längerem nicht mehr supportet.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  6. #6
    Padawan Stufe II Avatar von amazpix
    Registriert seit
    14.12.2007
    Beiträge
    76
    Themen
    22
    DANKE
    2
    Erhaltene Danke: 0

    Standard

    Diesen Sicherheitspatch konnte ich noch bei der Version 1.2.6 durchführen. Soweit funktioniert die Version ja noch. Ich hätte keine Ahnung, wie ich den Shop auf eine neuere Version bekommen sollte. Es gibt zwar dazu einige Threads, aber immer wieder lese ich von unendlichen Fehlerlösungen. Mir scheint, dass es nicht so einfach möglich sein wird. Daher würde ich auf eine neuere Version verzichten wollen. Hat jemand ein Tipp für mein Problem?

Ähnliche Themen

  1. Statusreport Umstellung
    Von MaleBorg im Forum Feedback zum Forum
    Antworten: 0
    Letzter Beitrag: 19.10.2008, 17:29
  2. UTF-8 Umstellung für mehrsprachigen Shop?
    Von Curio im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 9
    Letzter Beitrag: 02.04.2008, 13:20
  3. Probleme nach PHP5.2 Umstellung?
    Von deha32 im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 2
    Letzter Beitrag: 11.02.2007, 11:53
  4. zencart IIS6, PHP4 und MSQL
    Von member100 im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 3
    Letzter Beitrag: 17.11.2005, 18:13

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.

Die deutsche Zen Cart Version wird von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.5 deutsch
Revision 1188 vom 02.12.2016
[Download]